org.apache.xerces.impl.xs.traversers

## Class OverrideTransformer

- java.lang.Object
- - org.apache.xerces.impl.xs.traversers.OverrideTransformer

- Direct Known Subclasses:
    DOMOverrideImpl

      public abstract class OverrideTransformer
      extends java.lang.Object

  Version:
    $Id: OverrideTransformer.java 1565084 2014-02-06 05:39:07Z mukulg $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `OVERRIDE_ATTRIBUTE`
    `protected static int` | `OVERRIDE_ATTRIBUTE_GROUP`
    `protected static int` | `OVERRIDE_COMPLEX_TYPE`
    `protected static int` | `OVERRIDE_ELEMENT`
    `protected static int` | `OVERRIDE_GROUP`
    `protected static int` | `OVERRIDE_NOTATION`
    `protected static int` | `OVERRIDE_SIMPLE_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OverrideTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.w3c.dom.Element` | `transform(org.w3c.dom.Element overrideElement, org.w3c.dom.Element overridenSchema)` Any transformer Implementation should implement this method given a DOM overrideElement, and overridden schema.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OVERRIDE_SIMPLE_TYPE

          protected static final int OVERRIDE_SIMPLE_TYPE

      See Also:
        Constant Field Values

    - #### OVERRIDE_COMPLEX_TYPE

          protected static final int OVERRIDE_COMPLEX_TYPE

      See Also:
        Constant Field Values

    - #### OVERRIDE_ATTRIBUTE_GROUP

          protected static final int OVERRIDE_ATTRIBUTE_GROUP

      See Also:
        Constant Field Values

    - #### OVERRIDE_GROUP

          protected static final int OVERRIDE_GROUP

      See Also:
        Constant Field Values

    - #### OVERRIDE_ELEMENT

          protected static final int OVERRIDE_ELEMENT

      See Also:
        Constant Field Values

    - #### OVERRIDE_NOTATION

          protected static final int OVERRIDE_NOTATION

      See Also:
        Constant Field Values

    - #### OVERRIDE_ATTRIBUTE

          protected static final int OVERRIDE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OverrideTransformer

          protected OverrideTransformer()

  - ### Method Detail

    - #### transform

          public abstract org.w3c.dom.Element transform(org.w3c.dom.Element overrideElement,
                                      org.w3c.dom.Element overridenSchema)
                                                 throws OverrideTransformException

      Any transformer Implementation should implement this method given a DOM overrideElement, and overridden schema. This method should give the transformed DOM element.
      Throws:
        `OverrideTransformException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.